import * as _backstage_plugin_scaffolder_node from '@backstage/plugin-scaffolder-node';
import * as _backstage_types from '@backstage/types';
import { ScmIntegrationRegistry } from '@backstage/integration';
import { Config } from '@backstage/config';
import * as _backstage_backend_plugin_api from '@backstage/backend-plugin-api';

/**
 * Creates a new action that initializes a git repository of the content in the workspace
 * and publishes it to Bitbucket Server.
 * @public
 */
declare function createPublishBitbucketServerAction(options: {
    integrations: ScmIntegrationRegistry;
    config: Config;
}): _backstage_plugin_scaffolder_node.TemplateAction<{
    repoUrl: string;
    description?: string;
    defaultBranch?: string;
    repoVisibility?: "private" | "public";
    sourcePath?: string;
    enableLFS?: boolean;
    token?: string;
    gitCommitMessage?: string;
    gitAuthorName?: string;
    gitAuthorEmail?: string;
    signCommit?: boolean;
}, _backstage_types.JsonObject, "v1">;

/**
 * Creates a BitbucketServer Pull Request action.
 * @public
 */
declare function createPublishBitbucketServerPullRequestAction(options: {
    integrations: ScmIntegrationRegistry;
    config: Config;
}): _backstage_plugin_scaffolder_node.TemplateAction<{
    repoUrl: string;
    title: string;
    description?: string;
    targetBranch?: string;
    sourceBranch: string;
    reviewers?: string[];
    token?: string;
    gitAuthorName?: string;
    gitAuthorEmail?: string;
}, _backstage_types.JsonObject, "v1">;

/**
 * @public
 * The Bitbucket Server Module for the Scaffolder Backend
 */
declare const bitbucketServerModule: _backstage_backend_plugin_api.BackendFeature;

export { createPublishBitbucketServerAction, createPublishBitbucketServerPullRequestAction, bitbucketServerModule as default };
